function vexalarm.options.rw.content.panel()
	return {
		type = "group",
		args = {
			grptestmode = {
				name = "Testmode",
				order=1, type ="group", dialogInline = true,
				args = {
					testmode = {
						name = "Activate",
						order=1, type = "toggle", width="double",
						set = function(info,val) vexalarm.testmode.handler(val) end,
						get = function() return vexalarm.testmode.activated end,
						},
					testmodeinfo = {name = "- Simulates Event outputs. The spell/spell-profile adjustments\nfor the frames are still active.\n- Frames become movable\n- Frames and Outputpositions become recolored", type = "description", order=2, width="double"},
					edit = {name ='\nAny changes will be saved in profile: "|CFF008000'..vexalarm_SV_data["profile"]..'|r"', type = "description", order=5, width="normal"},
					},
				},
			frame_space_testmode = {name ="\n", type = "description", order=2},
			grpRW = {
				type = "group",
				name = "Raid Warnings", dialogInline = true,
				order = 5,
				args = {	
					rwprofile = {
						name = "Existing spell-profiles",
						order=42, type = "select", style = "dropdown", width="double",
						values = vexalarm.options.spells.profiles.getList(false, false),
						-- disabled = not(vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["useSpellProfile"]),
						set = function(self,val) vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["spellProfile"] = val vexalarm.initialize.core(true) end,
						get = function() return vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["spellProfile"] end,
						}
					}
				}
			}
		}
end
